<%@ Page Language="VB" AutoEventWireup="false" CodeFile="ValidationControlTestBed.aspx.vb" Inherits="ValidationControlTestBed" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        Your name:
        <asp:TextBox ID="name" runat="server"></asp:TextBox>
        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="name"
            ErrorMessage="You must provide your name."></asp:RequiredFieldValidator><br />
        <br />
        Your age:
        <asp:TextBox ID="age" runat="server" Columns="4"></asp:TextBox>
        <asp:RangeValidator ID="RangeValidator1" runat="server" ControlToValidate="age" ErrorMessage="Age must be between 0 and 150"
            MaximumValue="150" MinimumValue="0" Type="Integer"></asp:RangeValidator><br />
        <br />
        Social-security number:
        <asp:TextBox ID="ssn" runat="server"></asp:TextBox>
        <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="ssn"
            ErrorMessage="Your social security number must be in the format XXX-XX-XXXX" ValidationExpression="\d{3}-\d{2}-\d{4}"></asp:RegularExpressionValidator><br />
        <br />
        Total number of children:
        <asp:TextBox ID="totalChildren" runat="server" Columns="4"></asp:TextBox>
        <asp:CompareValidator ID="CompareValidator1" runat="server" ControlToValidate="totalChildren"
            ErrorMessage="The total number of children must be a whole number greater than or equal to 0"
            Operator="GreaterThanEqual" Type="Integer" ValueToCompare="0"></asp:CompareValidator><br />
        <br />
        Number of male children:
        <asp:TextBox ID="maleChildren" runat="server" Columns="4"></asp:TextBox>
        <asp:CompareValidator ID="CompareValidator2" runat="server" ControlToCompare="totalChildren"
            ControlToValidate="maleChildren" ErrorMessage="The number of male children must be less than or equal to the number of total children"
            Operator="LessThanEqual" Type="Integer"></asp:CompareValidator>
        <asp:CompareValidator ID="CompareValidator3" runat="server" ControlToValidate="maleChildren"
            ErrorMessage="The number of male children must be greater than or equal to 0"
            Operator="GreaterThanEqual" Type="Integer" ValueToCompare="0"></asp:CompareValidator><br />
        <br />
        <asp:Button ID="btnSubmit" runat="server" Text="Click Me" />
        <br />
        <br />
        <asp:Label ID="results" runat="server"></asp:Label></div>
    </form>
</body>
</html>
